Subject: [GOST] public_key в pygost

From: Гневашев Дмитрий <[email-masked]>
Date: Thu, 23 Nov 2017 22:55:54 +0300

Возникла необходимость подписывать документы ГОСТ Р 34.10-2001. Раньше 
не приходилось заниматься чем-то подобным. Использую pygost, и возник 
такой вопрос. Функция public_key() возвращает два значения, которые 
можно использовать для проверки подписи. Однако организация, для который 
мы подписываем документы запрашивает один public key. Почитав алгоритм, 
я понял, что по сути это - координаты точки x и y. Вопрос, что принимают 
на той стороне, как преобразовать это в один public key? Там, судя по 
всему, используется модуль для Java от КриптоПро. Кто-нибудь знаком с 
этим модулем? Их тех.поддержка пока не понимает мои вопросы об x и y.

Gnevashev Dmitri